local_backend: false
backend:
  name: git-gateway
  branch: main
collections:
  - name: "inscription"
    label : "Inscription"
    folder : "src/content/inscription"
    create : true
    fields:
      - { label: "soustitre1", name: "soustitre1", widget: "string" }
      - { label: "titre", name: "titre", widget: "string" }
      - { label: "soustitre2", name: "soustitre2", widget: "string" }
      - { label: "colonneGauche", name: "colonneGauche", widget: "text"}
      - { label: "colonneDroite", name: "colonneDroite", widget: "markdown"}
  - name: "ecole"
    label : "ecole"
    folder: "src/content/ecole"
    create: false
    fields: # The fields for each document, usually in frontmatter
      - { label: "titre", name: "titre", widget: "string" }
      - { label: "soustitre1", name: "soustitre1", widget: "string" }
      - { label: "soustitre2", name: "soustitre2", widget: "string" }
      - { label: "text", name: "text", widget: "markdown" }
      - { label: "image", name: "image", widget: "image" }
  - name: "actualites"
    label: "Actualites"
    folder: "src/content/actualites"
    create: true
    fields: # The fields for each document, usually in frontmatter
      - { label: "soustitre1", name: "soustitre1", widget: "string" }
      - { label: "titre", name: "titre", widget: "string" }
      - { label: "soustitre2", name: "soustitre2", widget: "string" }
      - label: "Posts"
        name: "post"
        widget: "list"
        fields:
          - { label: "titre", name: "titre", widget: "string" }
          - { label: "contenu", name: "contenu", widget: "string" }
          - { label: "pied", name: "pied", widget: "string" }
          - { label: "Date", name: "date", widget: "datetime" }
  - name: "team"
    label: "team"
    folder: "src/content/team"
    create: true # Allow users to create new documents in this collection
    fields: # The fields for each document, usually in frontmatter
      - { label: "Nom", name: "Nom", widget: "string" }
      - { label: "Description", name: "Description", widget: "string" }
      - { label: "Featured Image", name: "thumbnail", widget: "image" }
      - { label: "Tel", name: "Tel", widget: "string", pattern: [ '^0[1-9][0-9]{8}$', "Le numéro doit comporter 10 chiffres et commencer par 0" ] }
      - { label: "Ordre", name: "order", widget: "number", default: 99 }
      - label: "Reseaux Sociaux"
        name: "reseau"
        widget: "list"
        fields:
          - { label: "Image", name: "thumbnail", widget: image }
          - { label: "Url", name: "url", widget: "text" }
  - name: "tarif"
    label: "tarif"
    folder: "src/content/tarif"
    create: true # Allow users to create new documents in this collection
    fields: # The fields for each document, usually in frontmatter
      - { label: "soustitre1", name: "soustitre1", widget: "string" }
      - { label: "titre", name: "titre", widget: "string" }
      - { label: "soustitre2", name: "soustitre2", widget: "string" }
      - { label: "Image", name: "image", widget: "image" }
      - { label: "text", name: "text", widget: "markdown" }
  - name: "contact"
    label: "contact"
    folder: "src/content/contact"
    create: true # Allow users to create new documents in this collection
    fields: # The fields for each document, usually in frontmatter
      - { label: "soustitre1", name: "soustitre1", widget: "string" }
      - { label: "titre", name: "titre", widget: "string" }
      - { label: "soustitre2", name: "soustitre2", widget: "string" }
      - { label: "Image", name: "image", widget: "image" }
      - { label: "text", name: "text", widget: "markdown" }
      - { label: "email", name: "email", widget: "string" }
  - name: "temoignage"
    label: "temoignage"
    folder: "src/content/temoignage"
    create: true # Allow users to create new documents in this collection
    fields: # The fields for each document, usually in frontmatter
      - { label: "Nom", name: "Nom", widget: "string" }
      - { label: "Description", name: "Description", widget: "string" }
      - { label: "Cours suivie", name: "Cours suivie", widget: "string" }
      - { label: "Image", name: "thumbnail", widget: "image" }
  - name: "salles"
    label: "salles"
    folder: "src/content/salle"
    create: true # Allow users to create new documents in this collection
    fields: # The fields for each document, usually in frontmatter
      - { label: "Nom", name: "Nom", widget: "string" }
      - { label: "Description", name: "Description", widget: "string" }
      - { label: "Image", name: "thumbnail", widget: "image" }

  - name: "blog" # Used in routes, e.g., /admin/collections/blog
    label: "Blog" # Used in the UI
    folder: "src/content/blog" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    fields: # The fields for each document, usually in frontmatter
      - { label: "Layout", name: "layout", widget: "hidden", default: "blog" }
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Publish Date", name: "date", widget: "datetime" }
      - { label: "Featured Image", name: "thumbnail", widget: "image" }
      - { label: "Rating (scale of 1-5)", name: "rating", widget: "number" }
      - { label: "Body", name: "body", widget: "markdown"}
media_folder: "public/images" # Location where files will be stored in the repo
public_folder: "images" # The src attribute for uploaded media